﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraGrid_Save_Load
{
    public partial class Form1 : Form
    {
        string path = Directory.GetParent(Environment.CurrentDirectory).Parent.FullName;
        public Form1()
        {
            InitializeComponent();
        }
        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraGrid1.DataSource = createData();
        }
        private void button1_Click(object sender, EventArgs e)
        {
            // Save the layout to a file.
            this.ultraGrid1.DisplayLayout.Save(path + "test.lyt");
        }

        private void button2_Click(object sender, EventArgs e)
        {
            // Load the saved layout.
            this.ultraGrid1.DisplayLayout.Load(path + "test.lyt");
        }
        private List<Product> createData()
        {
            
            List<Product> tmp_product = new List<Product>();

            tmp_product.Add(new Product() { ProductName = "Cheese", Amount = 2, Cost = 2.6 });
            tmp_product.Add(new Product() { ProductName = "Chocolate", Amount = 5, Cost = 5 });
            tmp_product.Add(new Product() { ProductName = "Hairspray", Amount = 1, Cost = 7.99 });                   
           

            return tmp_product;
        }

       
    }
    public class Product
    {
        public string ProductName { get; set; }
        public int Amount { get; set; }
        public double Cost { get; set; }
    }
}
